| GTK-EXTRA - Reference Manual

| Home

# Gtkdirtree

## Name

Gtkdirtree - gtkdirtree widget for gtk+

## Synopsis

    GtkType

    gtk_dir_tree_get_type

    (void);

    GtkWidget *

    gtk_dir_tree_new

     (void);

    gint

    gtk_dir_tree_open_dir

    (GtkDirTree *dir_tree, const gchar *path);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkCList
                         +----GtkCTree
                              +----GtkDirTree

##
Args

## Signal Prototypes

    No signals

## Description

It is a GtkCTree subclass that allows you to navigate the file-system.

##
Details

    struct _GtkDirTree
    {
      GtkCTree ctree;
      gchar *local_hostname;
      gboolean show_hidden;
      GdkPixmap *my_pc;
      GdkPixmap *folder;
      GdkPixmap *ofolder;
      GdkPixmap *dennied;
      GdkBitmap *my_pc_mask;
      GdkBitmap *folder_mask;
      GdkBitmap *ofolder_mask;
      GdkBitmap *dennied_mask;
    };

    struct _GtkDirTreeNode
             {
             gboolean scanned;
             gchar *path;
             };

### gtk_dir_tree_get_type ()

    GtkType gtk_dir_tree_get_type (void);

Returns : |

####

### gtk_dir_tree_new ()

    GtkWidget* gtk_dir_tree_new (void)

Creates a new dir tree widget.

Returns : | a new dir tree widget

### gtk_dir_tree_open_dir ()

    gint gtk_dir_tree_open_dir(GtkDirTree *dir_tree, const gchar *path);

Show files from directory path in dir_tree.

dir_tree | dir tree widget
path | directory path
Returns | TRUE => succes FALSE=> failure

## See Also

Gtkctree

  a text widget displaying a hierarchical tree.

| Home |  |